classification
Title: Documentation of PyCode_New() lacks kwonlyargcount argument
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mahmoud, meador.inge, python-dev, scoder
Priority: normal Keywords: easy

Created on 2011-09-09 18:26 by scoder, last changed 2012-01-20 04:31 by meador.inge. This issue is now closed.

Messages (3)
msg143784 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2011-09-09 18:26
In Py3, PyCode_New() takes a new argument "kwonlyargcount". The signature change is not currently in the Py3 C-API documentation.

http://docs.python.org/dev/c-api/code.html

PyCodeObject *
PyCode_New(int argcount, int kwonlyargcount,
           int nlocals, int stacksize, int flags,
           PyObject *code, PyObject *consts, PyObject *names,
           PyObject *varnames, PyObject *freevars, PyObject *cellvars,
           PyObject *filename, PyObject *name, int firstlineno,
           PyObject *lnotab)
msg151670 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-20 04:28
New changeset b22a35c14a91 by Meador Inge in branch '3.2':
Issue #12949: Document the kwonlyargcount argument for the PyCode_New C API function.
http://hg.python.org/cpython/rev/b22a35c14a91

New changeset 218b167ff521 by Meador Inge in branch 'default':
Issue #12949: Document the kwonlyargcount argument for the PyCode_New C API function.
http://hg.python.org/cpython/rev/218b167ff521
msg151671 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2012-01-20 04:31
Fixed.  Thanks for the report Stefan.
History
Date User Action Args
2012-01-20 04:31:37meador.ingesetstatus: open -> closed

nosy: + meador.inge
messages: + msg151671

resolution: fixed
stage: needs patch -> resolved
2012-01-20 04:28:47python-devsetnosy: + python-dev
messages: + msg151670
2012-01-20 03:48:26meador.ingesetkeywords: + easy
stage: needs patch
versions: - Python 3.1
2012-01-14 23:47:04mahmoudsetnosy: + mahmoud
2011-09-09 18:26:29scodercreate